Subject: [PATCH 1/7] dmaengine: at_xdmac: prefer usage of readl/writel_relaxed

From: [email-masked] (Vinod Koul)
Date: Thu, 13 Nov 2014 21:04:49 +0530

On Thu, Nov 13, 2014 at 12:01:49PM +0100, Arnd Bergmann wrote:
> On Thursday 13 November 2014 11:52:39 Ludovic Desroches wrote:
> > _relaxed version of readl and writel are not implemented on all
> > architecture so COMPILE_TEST has to be removed in order to not cause
> > some build failures.
> > 
> > Signed-off-by: Ludovic Desroches <[email-masked]>
> > ---
> > 
> 
> I've queued up Will Deacon's series to enable the relaxed accessors
> on all architectures, so the Kconfig change should no longer
> be required in 3.19.
And why is _relaxed() version required for thsi driver. Why cant readl(),
writel() with barriers do?

-- 
~Vinod